PUT
/v1/organizations/:organizationSlug/stores/:storeId/otp-users/:otpUserId
Copy to clipboard
Update OTP user
Required Permission: mad.store.otpUsers.update
Update an existing OTP user
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
storeId
string
required
otpUserId
string
required
Body Params
application/json
allowedDownloadsNum
integer
optional
{
"allowedDownloadsNum": 0
}
Responses
200 Response
application/json
status
boolean
required
data
object
required
id
string
required
organizationId
string
required
storeId
string
required
publishedApplicationId
string
required
email
string
required
allowedDownloadsNum
integer
required
lastLoginDate
string
required
lastDownloadDate
string
required
createdAt
string
required
updatedAt
string
required
{
"status": true,
"data": {
"id": "string",
"organizationId": "string",
"storeId": "string",
"publishedApplicationId": "string",
"email": "[email protected]",
"allowedDownloadsNum": 0,
"lastLoginDate": "string",
"lastDownloadDate": "string",
"createdAt": "string",
"updatedAt": "string"
}
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 6001,
"message": "Database Validation Error"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}